<?php

require('simple-viewer.php');

/**
* Function to write the data needed in the header by fancybox.
*
* @access public
*/
function muds_header() {    
	require('fancybox-header.php');
}

/**
* Function to write the data needed in the footer by lytebox.
*
* @access public
*/
function muds_footer() {

}

/**
* This function returns the html code to show an image using lytebox as the viewer
*
* @access public
* @param url image The url to the big one.
* @param url image The url to the thumbnail. 
* @param string title The title of the image.
* @param int album If this image is part of an album we need a common number for this group.
* @param string float Is this image floating to the left, right or center?
* @param string comment Do this image have a comment? Send false if we don't have to show the comment.
* @param int size The size of the thumbnail.
* @return string The HTML code
*/
function muds_show($image, $thumbnail, $title, $album=0, $float='center', $comment=false, $width=200, $url, $type) {
	$options=get_option('muds_options');
	$muds_showlink=$options['show_link'];
	
	$class_float="";
	$rand = mt_rand(111111,999999);
	
	//HTML specialchars
	$title = mb_htmlentities($title);
	if($comment) $comment = mb_htmlentities($comment);
	
	$style_dim = " style='width: {$width}px; max-width: {$width}px;'";
	
	//The link to the photo source
	$link = "";
	if($muds_showlink && $url) {
		switch($type) {
			case MUDS_TYPE_PICASA:
				$link = "<a href=\"$url\" target=\"_blank\">".sprintf(__('Open in %s', 'mudslide'), 'Picasa')."</a>";
				break;
			case MUDS_TYPE_FLICKR:
				$link = "<a href=\"$url\" target=\"_blank\">".sprintf(__('Open in %s', 'mudslide'), 'Flickr')."</a>";
				break;
		}
	}
	$short = $title;
	
	//Caption
	if($muds_showlink && $url) $caption="<div class=\"muds-title\">$caption</div><div class=\"muds-link\">$link</div>";
	$caption_side="";
	if($comment) {
		$vote = "";
		if(function_exists('dmkti_image')) {
			if($type == MUDS_TYPE_NONE) {
				$vote = dmkti_image($image, $title, $comment, $mini);
			} else {
				$vote = dmkti_image($url, $title, $comment, $mini);
			}
			$vote = "<br>$vote";
		}
		$caption=apply_filters('comment_text', "<h3>".$title."</h3>".$comment);
		if($muds_showlink) $caption.="<div align=\"right\">$link</div>";
		$title = "<div id=\"mssfb-title\"><div class=\"fb-backgound\">$title</div><div align=\"right\">$link</div></div><div id=\"mssfb-caption\">$caption</div>";
	} else {
		if($muds_showlink && $url) $title.= " | $link";
	}
	
	if($album == 0) $album = mt_rand(111111,999999);
	
	$title = str_replace(array('<', '>'), array('&lt;', '&gt;'), $title);
	$short = str_replace(array('<', '>'), array('&lt;', '&gt;'), $short);

	
	$img = "<div class='slideext slide{$float}'>
			<a class='mssfb-image' target='_self' href='{$image}' rel='{$album}' title='{$title}'><img class='mudsphoto'{$style_dim} alt='{$short}' title='{$short}' src='{$thumbnail}' border='0' /><img class='slidecontainer' title='{$short}' alt='{$short}' src='".muds_plugin_url('img/link-bg.png')."' border='0' /></a>
		</div>";
	return muds_general($img,$float);
}

?>
